const app = getApp()

import {
    selfFormatTimeYMD,
    selfFormatTimeHM
} from "../../../../utils/util.js"

import {
    selectReservationListByUserIdRq
} from "../../../../api/meeting/meetingRoom.js"

Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        userData: null,
        pageNum: 1,
        pageSize: 10,
        dataList: [],
        isDataAll: false,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let _this = this;
        _this.setData({
            userData: wx.getStorageSync('user'),
        })
        // 获取数据
        _this.getDataList()
    },

    // 获取数据
    getDataList() {
        // 获取参数
        let _this = this;
        let isDataAll = _this.data.isDataAll
        let pageNum = _this.data.pageNum
        let pageSize = _this.data.pageSize
        let userId = _this.data.userData.id
        // 判断数据是否已全部加载
        if (isDataAll) {
            return;
        }
        // 显示-导航条加载动画
        wx.showNavigationBarLoading()
        // 查询数据
        selectReservationListByUserIdRq({
            pageNum,
            pageSize,
            userId
        }).then(res => {
            console.log('selectReservationListByUserIdRq', res);
            // 隐藏-导航条加载动画
            wx.hideNavigationBarLoading()
            // 判断数据是否全部查询
            let queryDataList = res.rows;
            if (queryDataList && queryDataList.length > 0) {
                // 格式化数据
                queryDataList = queryDataList.map(item => {
                    item.timeSlot = selfFormatTimeYMD(item.startTime) + ' ' + selfFormatTimeHM(item.startTime) + '~' + selfFormatTimeHM(item.endDate);
                    return item;
                })
                // 更新参数
                let dataList = _this.data.dataList.concat(queryDataList);
                let pageNum = _this.data.pageNum + 1;
                _this.setData({
                    pageNum,
                    dataList,
                })
            } else {
                _this.setData({
                    isDataAll: true
                })
            }
        })
    },

    // 跳转-支付
    jumpPay() {
        wx.navigateTo({
            url: "/pages/meeting/pay/waitPay/waitPay"
        })
    },

    // 跳转-预约详情
    jumpMeetingDetail() {
        wx.navigateTo({
            url: "/pages/meeting/reservationRecord/meetingRecord/meetingDetail/meetingDetail",
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        console.log('onPullDownRefresh', '页面相关事件处理函数--监听用户下拉动作');

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        console.log('onReachBottom', '页面上拉触底事件的处理函数');
        let _this = this;
        // 获取数据
        _this.getDataList()
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {
        let param = {
            title: "space 会议室101",
            path: "/pages/meeting/reservationRecord/meetingRecord/meetingDetail/meetingDetail",
            imageUrl: app.IMG_NAME + '/profile/static/index/banner/1.jpg',
        }
        console.log('onShareAppMessage', param);
        return param;
    }
})